Bug 476973 - Review Request: eclipse-rpmstubby - Rpm specfile generator for Eclipse features
Review Request: eclipse-rpmstubby - Rpm specfile generator for Eclipse features
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 07:06 EST by Alexander Kurtakov
Modified: 2009-01-27 08:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 08:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2008-12-18 07:06:57 EST
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-rpmstubby.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-rpmstubby-0.1.0-1.fc10.src.rpm

Description: RPM Stubby Plug-in is a plugin aiming to auto-generate RPM specfile from feature.xml.
Comment 1 Orcan Ogetbil 2009-01-23 14:37:18 EST
I made the review. There are a few minor things to go over:

* Two Changelogs need packaged:
   ./org.eclipse.linuxtools.rpmstubby-feature/ChangeLog
   ./org.eclipse.linuxtools.rpmstubby/ChangeLog

* I think URL needs to be: 
   http://www.eclipse.org/linuxtools/projectPages/rpmstubby/

? Could you provide a download location at the project homepage so we don't need to use this fetch script?

* Macros should be used consistently. You use %{buildroot} and $RPM_BUILD_ROOT mixed. This needs corrected. You should also use %{__install} for consistency.

* Summary looks awkward to me, maybe it should be shortened to:
   Rpm specfile generator for Eclipse


These are all easy to do. I'm approving the package now.


----------------------------------------------------
This package (eclipse-rpmstubby) is APPROVED by oget
----------------------------------------------------
Comment 2 Alexander Kurtakov 2009-01-25 14:42:39 EST
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-rpmstubby.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-rpmstubby-0.1.0-1.fc10.src.rpm

(In reply to comment #1)
> I made the review. There are a few minor things to go over:
> 
> * Two Changelogs need packaged:
>    ./org.eclipse.linuxtools.rpmstubby-feature/ChangeLog
>    ./org.eclipse.linuxtools.rpmstubby/ChangeLog
> 
Fixed

> * I think URL needs to be: 
>    http://www.eclipse.org/linuxtools/projectPages/rpmstubby/
> 
Fixed

> ? Could you provide a download location at the project homepage so we don't
> need to use this fetch script?
Not yet because the project needs to be reviewed from eclipse.org before making official releases.

> 
> * Macros should be used consistently. You use %{buildroot} and $RPM_BUILD_ROOT
> mixed. This needs corrected. You should also use %{__install} for consistency.
> 
Fixed.

> * Summary looks awkward to me, maybe it should be shortened to:
>    Rpm specfile generator for Eclipse
> 
Current summary describes better what the plugin is doing.

> 
> These are all easy to do. I'm approving the package now.
> 
> 
> ----------------------------------------------------
> This package (eclipse-rpmstubby) is APPROVED by oget
> ----------------------------------------------------
Comment 3 Alexander Kurtakov 2009-01-25 14:48:23 EST
New Package CVS Request
=======================
Package Name: eclipse-rpmstubby
Short Description: Rpm specfile generator for Eclipse features
Owners: akurtakov
Branches: F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-26 18:03:09 EST
cvs done.
Comment 5 Alexander Kurtakov 2009-01-27 07:40:30 EST
Builded in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.